summaryrefslogtreecommitdiffstats
path: root/make/scripts/all-deploy-webstarttest.sh
diff options
context:
space:
mode:
authorJOGAMP DEV TEAM <[email protected]>2010-04-22 21:12:36 -0400
committerJOGAMP DEV TEAM <[email protected]>2010-04-22 21:12:36 -0400
commit1d889ddc4728d1534e310b44fad74a2932d22d39 (patch)
tree4ad0c3eeb3ef728522ac9459eb12c667301a0c32 /make/scripts/all-deploy-webstarttest.sh
parent8790075f074013aa3c71b96993838cf1117275f1 (diff)
parenta588326d206ff32e5ff5db97560851cb9b826022 (diff)
Merge branch 'master' of github.com:sgothel/jogl
Diffstat (limited to 'make/scripts/all-deploy-webstarttest.sh')
-rwxr-xr-xmake/scripts/all-deploy-webstarttest.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/make/scripts/all-deploy-webstarttest.sh b/make/scripts/all-deploy-webstarttest.sh
new file mode 100755
index 000000000..e3ee24a6d
--- /dev/null
+++ b/make/scripts/all-deploy-webstarttest.sh
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+if [ ! -e scripts -o ! -e ../make ] ; then
+ echo start this script from JOGL/jogl/make
+ exit 1
+fi
+
+url=$1
+shift
+
+joglbuilddir=$1
+shift
+
+wsdir=$1
+shift
+
+if [ -z "$url" -o -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo Usage $0 codebase-url jogl-builddir webstartdir
+ echo Examples
+ echo sh $0 file:////usr/local/projects/JOGL/webstart ../build-x86_64 ../../webstart
+ echo sh $0 http://domain.org/jogl/webstart ../build-win32 ../../webstart
+ exit 1
+fi
+
+if [ ! -e $joglbuilddir ] ; then
+ echo $joglbuilddir does not exist
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+sh scripts/deploy-jars-webstarttest.sh $joglbuilddir $wsdir
+# sh scripts/deploy-jars-webstarttest_pack200.sh $wsdir
+sh scripts/deploy-jnlp-webstarttest.sh $url $joglbuilddir $wsdir
+sh scripts/deploy-jnlp-webstarttest-filter.sh $wsdir